
jQuery(document).ready(function($) {
    $('#rdh-shorten-btn').on('click', function() {
        var urls = $('#rdh-urls').val().split("\n").filter(function(url) {
            return url.trim() !== '';
        });

        if (urls.length > 100) {
            alert('Você pode inserir no máximo 100 URLs.');
            return;
        }

        $.ajax({
            url: rdh_ajax.ajax_url,
            method: 'POST',
            data: {
                action: 'rdh_shorten_urls',
                nonce: rdh_ajax.nonce,
                urls: urls
            },
            success: function(response) {
                if (response.success) {
                    var results = '<table><tr><th>URL Original</th><th>URL Curta</th></tr>';
                    response.data.forEach(function(item) {
                        results += '<tr><td>' + item.original + '</td><td>' + item.short + '</td></tr>';
                    });
                    results += '</table>';
                    $('#rdh-results').html(results);
                } else {
                    alert(response.data);
                }
            }
        });
    });
});
